@charset "UTF-8";

/* Common */
:root{
    /* Color */
    --color-print-light: #fff;
    --color-print-dark: #000;
    --color-base-light: #eae4d7;
    --color-base-dark: #3a3b3b;
    --color-base-dark-trans: #3a3b3bdd;
    --color-accent-light: #e6cdbf;
    --color-accent-dark: #8f3a43;
    --color-accent-dark-trans: #8f3a4399;

    /* Font */
    --font-family-sans: "M PLUS 1p", sans-serif;
    --font-family-mono: "M PLUS 1 Code", monospace;
    --font-size-xl: 2.125rem;
    --font-size-l: 1.75rem;
    --font-size-m: 1.375rem;
    --font-size-s: 1.125rem;
    --font-size-xs: 0.9375rem;
    --font-weight-regular: 400;
    --font-weight-medium: 500;
    --font-weight-bold: 700;
    --font-antialiasing-win: rotate(0.03deg);

    /* Layout */
    --header-height: 4.5rem;
    --header-heading-width: 55%;
    --main-direction: row;
    --main-split-left: 0%;
    --main-split-center: 65%;
    --main-split-right: 30%;

    /* Image */
    --image-width: 67%;
    --image-width-portfolio: 32%;

    /* Navigation */
    --nav-justify: end;
}

/* Mobile Layout */
@media(max-width:767px){
    :root{
        /* Font */
        --font-size-xl: 1.625rem;
        --font-size-l: 1.5rem;
        --font-size-m: 1.25rem;
        --font-size-s: 1.0rem;
        --font-size-xs: 0.875rem;

        /* Layout */
        --header-height: 4.4rem;
        --header-heading-width: auto;
        --main-direction: column;
        --main-split-left: 0%;
        --main-split-center: 100%;
        --main-split-right: 100%;

        /* Image */
        --image-width: 100%;
        --image-width-portfolio: 49%;

        /* Navigation */
        --nav-justify: start;
    }

    /* Header */
    header h1{
        position: fixed;
        top: 0.5rem;
    }
    /* Navigation */
    header nav{
        flex-basis: 75%;
    }
    /* Hamburger Menu*/
    header nav label{
        display: inline-block;
        position: fixed;
        top: 1rem;
        right: 1rem;
        width: 2.5rem;
        height: 2.5rem;
        cursor: pointer;
        z-index: 103;
    }
    header nav span,
    header nav span::before,
    header nav span::after{
        display: block;
        height: 0.2rem;
        width: 2rem;
        background: var(--color-base-light);
        border-radius: 2px;
        transition: 0.4s;
    }
    header nav span{
        position: relative;
        margin: calc(var(--font-size-xl) * 0.4 + 0.5rem) 0;
    }
    header nav span::before{
        position: absolute;
        content: "";
        bottom: calc(var(--font-size-xl) * 0.4);
    }
    header nav span::after{
        position: absolute;
        content: "";
        top: calc(var(--font-size-xl) * 0.4);
    }
    #header-mobile-menu-check:checked + #header-mobile-menu-icon span{
        background: transparent;
    }
    #header-mobile-menu-check:checked + #header-mobile-menu-icon span::before{
        transform: translateY(calc(var(--font-size-xl) * 0.4)) rotate(45deg);
    }
    #header-mobile-menu-check:checked + #header-mobile-menu-icon span::after{
        transform: translateY(calc(var(--font-size-xl) * -0.4)) rotate(-45deg);
    }
    .overlay {
        position: fixed;
        inset: 0;
        background: var(--color-base-dark-trans);
        opacity: 0;
        pointer-events: none;
        transition: 0.4s;
        z-index: 101;
    }
    #header-mobile-menu-check:checked ~ .overlay {
        opacity: 0.5;
        top:0;
        left:0;
        width:100vw;
        height:100vh;
        pointer-events: auto;
    }

    /* Header Menu Mobile Layout */
    #menu{
        position: fixed;
        flex-direction: column;
        top: 0;
        right: -50vw;
        width: 40vw;
        height: 100vh;
        background: var(--color-base-dark);
        box-shadow: 2px 0 8px rgba(0,0,0,0.2);
        transition: right 0.3s ease;
        z-index: 102;
    }
    #header-mobile-menu-check:checked ~ #menu{
        right: 0px;
    }
    #menu li:nth-child(1){
        margin: 4em 1rem 0.25rem;
    }
    #menu li{
        margin: 0.25rem 1rem;
    }
    #menu a{
        color: var(--color-base-light);
        font-size: calc(50vw * 0.1);
        transition: color 0.3s;
    }
}

/* Base */
html{
    font-size: 100%;
    scroll-behavior: smooth;
}

img,
video{
    width: var(--image-width);
}

.img-portrait-small,
.img-portrait,
.img-landscape,
.img-square,
.img-square-2col
{
    height: auto;
    width: 100%;
    margin-top: 1rem;
}

.img-portrait-small{
    max-width: 360px;
}

.img-portrait{
    max-width: 540px;
}

.img-landscape{
    max-width: 960px;
}

.img-square{
    max-width: 600px;
}

.img-square-2col{
    width: 48%;
    max-width: 600px;
}

body{
    position: relative;
    font-family: var(--font-family-sans);
    font-size: var(--font-size-s);
    font-style: normal;
    font-weight: var(--font-weight-regular);
    line-height: 1.5;
    color: var(--color-base-dark);
    background-color: var(--color-base-light);
    width: 100%;
    height: auto;
}

h1, h2, h3, h4, h5{
    color: var(--color-accent-dark);
    font-weight: var(--font-weight-bold);
    transform: var(--font-antialiasing-win);
    padding-top: 1em;
}
h1{
    font-size: var(--font-size-xl);
}
h2{
    font-size: var(--font-size-l);
    border-bottom: 2px solid var(--color-accent-dark);
    margin-bottom: calc(var(--font-size-l) * 0.5);
}
h3{
    font-size: var(--font-size-m);
    border-bottom: 1px solid var(--color-accent-dark);
    margin-bottom: calc(var(--font-size-m) * 0.5);
}
h4,
h5{
    margin-bottom: 0.5em;
}

ul, ol{
    list-style-position: inside;
    padding-left: 0.5rem;
}

li,
span,
p,
article{
    transform: var(--font-antialiasing-win);
}

table{
    margin-top: 0.5rem;
    border-spacing: 0;
    border-collapse: collapse;
}
th, td{
    font-size: var(--font-size-xs);
    border: 1px solid var(--color-base-dark-trans);
    transform: var(--font-antialiasing-win);
    padding: 0.25rem 0.5rem;
}
th{
    font-weight: var(--font-weight-medium);
    background-color: var(--color-accent-light);
}

/* Code */
[class^="language"]{
    font-family: var(--font-family-mono);
    font-weight: var(--font-weight-regular);
    color: var(--color-base-light);
    background-color: var(--color-base-dark);
    overflow-wrap: break-word;
    overflow-x: scroll;
    overflow-y: hidden;
    scrollbar-color: var(--color-base-light);
    line-height: 1.3;
    width: 100%;
    transform: var(--font-antialiasing-win);
    padding: 1rem;
    margin: 0.5rem 0;
}
[class^="language-"]::-webkit-scrollbar{
  display: block;
  width: 0.625rem;
  height: 0.625rem;
}
[class^="language-"]::-webkit-scrollbar-track{
  background: var(--color-accent-light);
  border-bottom: 1px solid var(--color-accent-dark);
}
[class^="language-"]::-webkit-scrollbar-thumb{
  background: var(--color-accent-dark);
  border: 1px solid var(--color-accent-light);
  border-radius: 0.625rem;
}

.container{
    width: 94%;
    max-width: 1440px;
    margin: 0 auto;
}


/* Header */
header{
    position: fixed;
    top: 0;
    color: var(--color-base-light);
    background-color: var(--color-base-dark-trans);
    backdrop-filter: blur(6px);
    -webkit-backdrop-filter: blur(6px);
    width: 100%;
    height: var(--header-height);
    padding: 1px;
    z-index: 100;
}

header .container{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

header h1{
    width: var(--header-heading-width);
    text-align: left;
    padding: 0;
    margin: 0;
}

header nav{
    width: 45%;
    text-align: right;
}

header ul{
    display: flex;
    justify-content: var(--nav-justify);
    list-style: none;
}

header a{
    display: inline-block;
    color: var(--color-base-light);
    text-decoration: none;
    border:1px solid transparent;
    border-radius: 1rem;
    padding: 0.5rem 0.25rem 0.5rem 0;
    transition: all 300ms;
}
header a:hover{
    color: var(--color-base-dark);
    background-color: var(--color-base-light);
}

header ul a{
    width: 6em;
    text-align: center;
    padding: 1rem 0;
}

/* main */
main{
    display: flex;
    flex-direction: var(--main-direction);
    justify-content: space-between;
    padding-top: var(--header-height);
}


/* article */
article{
    width: var(--main-split-center);
    max-width: var(--main-split-center);
}

#article_header{
    color: var(--color-accent-dark);
    font-size: var(--font-size-xs);
    font-weight: var(--font-weight-regular);
}

.date-style{
  padding-left:0.5em;
}

#article_tags{
  display: flex;
  flex-wrap: wrap;
  gap: 0.25rem 0.5rem;
  padding-top: 0.5em;
  padding-bottom: 0.5em;
}

#article_tags span{
    display: inline-block;
    font-weight: var(--font-weight-medium);
    color: var(--color-base-light);
    background-color: var(--color-accent-dark);
    border: 1px solid transparent;
    border-radius: 1rem;
    padding: 0.25rem 0.5rem;
}

article li{
    margin-top: 0.5rem;
    line-height: 1.3;
}

/* portfolio */
.portfolio_grid{
    display: flex;
    flex-wrap: wrap;
    gap: 1%;
}
.portfolio_grid a{
    display: block;
    max-width: var(--image-width-portfolio);
}
.portfolio_grid img{
    width: 100%;
    aspect-ratio: 1;
    object-fit: cover;
    border-radius: 20px;
    transition: 0.4s;
}
.portfolio_grid img:hover{
    filter: brightness(120%);
}

/* aside */
aside{
    min-width: var(--main-split-right);
    width: var(--main-split-right);
    max-width: var(--main-split-right);
}

aside dt{
    font-size: 1.5rem;
    font-weight: var(--font-weight-medium);
}

aside dl{
    text-align: center;
}

aside dl img{
    width: 180px;
    border-radius: 50%;
}

aside dd{
    padding-top: 0.5rem;
    text-align: left;
}

aside ul li{
    margin-top: 0.5rem;
    line-height: 1.3;
}

/* footer */
footer {
    width: 100%;
    color: var(--color-base-light);
    background-color: var(--color-base-dark-trans);
    text-align: center;
    padding: 1.5rem 0 0.75rem;
    margin-top: 2rem;
}

footer a {
    color: var(--color-base-light);
}